Packager: Igor Vlasenko <viy@altlinux.ru>
BuildRequires: bcel ant-bcel
%define oldname wstx
BuildRequires: /proc
BuildRequires: jpackage-compat
# Copyright (c) 2000-2008, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

# If you want repolib package to be built,
# issue the following: 'rpmbuild --with repolib'

%define _with_repolib 1

%define with_repolib %{?_with_repolib:1}%{!?_with_repolib:0}
%define without_repolib %{!?_with_repolib:1}%{?_with_repolib:0}

%define repodir %{_javadir}/repository.jboss.com/woodstox/3.1.1-brew
%define repodirlib %{repodir}/lib
%define repodirsrc %{repodir}/src

Name:           wstx-repolib
Summary:        Woodstox Stax Implementation
Version:        3.1.1
Release:        alt1_3jpp5
Epoch:          0
URL:            http://annogen.codehaus.org/
License:        ASL 2.0
Group:          Development/Java
Source0:        %{oldname}-src-%{version}.tar.gz
Source1:        wstx-asl-3.2.1.pom
Source2:        wstx-lgpl-3.2.1.pom
Source3:        wstx-component-info.xml
# FIXME: (dwalluck) junitreport fails due to new XSLT processor under ant 1.7.0
Patch0:         wstx-3.1.1-no-junitreport.patch
Requires: bea-stax-api >= 0:1.2.0
Requires: msv-msv
Requires: msv-xsdlib
BuildRequires: jpackage-utils >= 0:1.6
BuildRequires: ant >= 0:1.6
BuildRequires: ant-nodeps
BuildRequires: ant-apache-bcel
BuildRequires: ant-junit
BuildRequires: ant-trax
BuildRequires: bea-stax-api >= 0:1.2.0
BuildRequires: emma
BuildRequires: msv-msv
BuildRequires: msv-xsdlib
BuildArch:      noarch

%description
Woodstox is a high-performance validating namespace-aware 
StAX-compliant (JSR-173) Open Source XML-processor written 
in Java.
XML processor means that it handles both input (== parsing) 
and output (== writing, serialization)), as well as 
supporting tasks such as validation.

%if %{with_repolib}
%package repolib
Summary:        Artifacts to be uploaded to a repository library
Group:          Development/Java

%description repolib
Artifacts to be uploaded to a repository library.
This package is not meant to be installed but so its contents
can be extracted through rpm2cpio.
%endif

%package j2me
Group:          Development/Java
Summary:        J2ME libraries for %{oldname}

%description j2me
%{summary}.

%package javadoc
Group:          Development/Documentation
Summary:        Javadoc for %{oldname}
BuildArch: noarch

%description javadoc
%{summary}.

%package manual
Group:          Development/Documentation
Summary:        Documents for %{oldname}
BuildArch: noarch

%description manual
%{summary}.

%prep
%setup -q -c -n %{oldname}
%patch0 -p0
find . -name '*.?ar' | xargs %{__rm}

pushd lib
ln -sf $(build-classpath emma) .
ln -sf $(build-classpath emma_ant) .
ln -sf $(build-classpath bea-stax-api) stax-api-1.0.jar
pushd msv
ln -sf $(build-classpath msv-msv) msv.jar
ln -sf $(build-classpath msv-xsdlib) xsdlib.jar
ln -sf $(build-classpath relaxngDatatype) .
popd
popd

%if %{with_repolib}
tag=`echo %{oldname}-%{version}-%{release} | sed 's|\.|_|g'`
sed -i "s/@TAG@/$tag/g" %{SOURCE3}
%endif

%build
export CLASSPATH=
export OPT_JAR_LIST="`%{__cat} %{_sysconfdir}/ant.d/{nodeps,apache-bcel,junit,trax}`"
ant jars javadoc test staxtest

%install

# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/%{oldname}
install -m 644 build/stax2.jar \
    $RPM_BUILD_ROOT%{_javadir}/%{oldname}/stax2-%{version}.jar
install -m 644 build/%{oldname}-api-%{version}.jar \
    $RPM_BUILD_ROOT%{_javadir}/%{oldname}/%{oldname}-api-%{version}.jar
install -m 644 build/%{oldname}-asl-%{version}.jar \
    $RPM_BUILD_ROOT%{_javadir}/%{oldname}/%{oldname}-asl-%{version}.jar
install -m 644 build/%{oldname}-lgpl-%{version}.jar \
    $RPM_BUILD_ROOT%{_javadir}/%{oldname}/%{oldname}-lgpl-%{version}.jar
install -m 644 build/%{oldname}-j2me-min-both.jar \
    $RPM_BUILD_ROOT%{_javadir}/%{oldname}/%{oldname}-j2me-min-both-%{version}.jar
install -m 644 build/%{oldname}-j2me-min-input.jar \
    $RPM_BUILD_ROOT%{_javadir}/%{oldname}/%{oldname}-j2me-min-input-%{version}.jar
install -m 644 build/%{oldname}-j2me-min-output.jar \
    $RPM_BUILD_ROOT%{_javadir}/%{oldname}/%{oldname}-j2me-min-output-%{version}.jar
# create unversioned symlinks
(cd $RPM_BUILD_ROOT%{_javadir}/%{oldname} && for jar in *-%{version}*; do ln -sf ${jar} ${jar/-%{version}/}; done)

%add_to_maven_depmap org.codehaus.woodstox stax2 %{version} JPP/wstx stax2
%add_to_maven_depmap org.codehaus.woodstox wstx-api %{version} JPP/wstx wstx-api
%add_to_maven_depmap org.codehaus.woodstox wstx-asl %{version} JPP/wstx wstx-asl
%add_to_maven_depmap org.codehaus.woodstox wstx-lgpl %{version} JPP/wstx wstx-lgpl
%add_to_maven_depmap org.codehaus.woodstox wstx-j2me-min-both %{version} JPP/wstx wstx-j2me-min-both
%add_to_maven_depmap org.codehaus.woodstox wstx-j2me-min-input %{version} JPP/wstx wstx-j2me-min-input
%add_to_maven_depmap org.codehaus.woodstox wstx-j2me-min-output %{version} JPP/wstx wstx-j2me-min-output

# poms
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/maven2/poms
install -pm 644 %{SOURCE1} \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.wstx-wstx-asl.pom
install -pm 644 %{SOURCE2} \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.wstx-wstx-lgpl.pom

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{oldname}-%{version}
cp -pr build/javadoc/* \
    $RPM_BUILD_ROOT%{_javadocdir}/%{oldname}-%{version}
%{__ln_s} %{oldname}-%{version} %{buildroot}%{_javadocdir}/%{oldname}

# manual
install -d -m 755 $RPM_BUILD_ROOT%{_docdir}/%{oldname}-%{version}
cp -pr release-notes/* \
    $RPM_BUILD_ROOT%{_docdir}/%{oldname}-%{version}

%if %{with_repolib}
        install -d -m 0755 $RPM_BUILD_ROOT%{repodir}
        install -d -m 0755 $RPM_BUILD_ROOT%{repodirlib}
        install -p -m 0644 %{SOURCE3} $RPM_BUILD_ROOT%{repodir}/component-info.xml
        install -d -m 0755 $RPM_BUILD_ROOT%{repodirsrc}
        install -p -m 0644 %{SOURCE0} $RPM_BUILD_ROOT%{repodirsrc}
        cp -p $RPM_BUILD_ROOT%{_javadir}/wstx/wstx-lgpl.jar $RPM_BUILD_ROOT%{repodirlib}/wstx.jar
%endif
%if %{with_repolib}

%files
%{repodir}
%endif

%changelog
* Sun Mar 07 2010 Igor Vlasenko <viy@altlinux.ru> 0:3.1.1-alt1_3jpp5
- jboss repolib release

* Tue Oct 30 2007 Igor Vlasenko <viy@altlinux.ru> 0:3.2.1-alt1_1jpp1.7
- updated to new jpackage release

* Mon Jun 04 2007 Igor Vlasenko <viy@altlinux.ru> 0:2.9.3-alt1_1jpp1.7
- converted from JPackage by jppimport script

